Skip to main content
GET
/
team
/
{team_id}
/
datasets
/
{dataset_id}
/
dataRequests
Get data requests by dataset ID
curl --request GET \
  --url https://api.chartbrew.com/team/{team_id}/datasets/{dataset_id}/dataRequests \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.chartbrew.com/team/{team_id}/datasets/{dataset_id}/dataRequests"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.chartbrew.com/team/{team_id}/datasets/{dataset_id}/dataRequests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": 123,
    "dataset_id": 123,
    "connection_id": 123,
    "route": "<string>",
    "headers": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ],
    "body": "<string>",
    "useGlobalHeaders": true,
    "query": "<string>",
    "pagination": false,
    "items": "items",
    "itemsLimit": 0,
    "offset": "offset",
    "paginationField": "<string>",
    "template": "<string>",
    "conditions": [
      {
        "field": "<string>",
        "value": "<string>"
      }
    ],
    "configuration": {
      "populateAttributes": true,
      "mainCollectionSample": "<string>",
      "subCollectionSample": "<string>",
      "selectedSubCollection": "<string>",
      "limit": 123,
      "orderBy": "<string>",
      "accountId": "<string>",
      "propertyId": "<string>",
      "metrics": "<string>",
      "dimensions": "<string>",
      "startDate": "<string>",
      "endDate": "<string>",
      "limitToLast": 123,
      "limitToFirst": 123
    },
    "variables": {},
    "Connection": {
      "id": 123,
      "name": "<string>",
      "type": "<string>",
      "subType": "<string>",
      "host": "<string>"
    },
    "VariableBindings": [
      {
        "id": 123,
        "entity_id": "<string>",
        "name": "<string>",
        "type": "<string>",
        "default_value": "<string>",
        "required": true,
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      }
    ]
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
integer
required
dataset_id
integer
required

Response

200 - application/json

List of data requests

id
integer
dataset_id
integer

Reference to Dataset model

connection_id
integer

Reference to Connection model

method
enum<string>
Available options:
GET,
POST,
PUT,
DELETE,
PATCH
route
string

API endpoint path

headers
object[]
body
string

Request body in JSON string format

useGlobalHeaders
boolean
default:true
query
string
pagination
boolean
default:false
items
string
default:items

Path to items array in response

itemsLimit
integer
default:0

Maximum number of items to return

offset
string
default:offset

Pagination offset field name

paginationField
string

Field used for pagination

template
string

Template type for request formatting

conditions
object[]
configuration
object

Configuration options for data requests. Fields vary by connection type. Only include fields relevant to your connection type.

variables
object

Request variables

Connection
object
VariableBindings
object[]